import {
  GdsContainer
} from "./chunk.EN5Y2AK7.js";
import {
  styleExpressionProperty
} from "./chunk.6UWYSL2J.js";
import {
  tokens
} from "./chunk.GDCYH5VR.js";
import {
  gdsCustomElement,
  html
} from "./chunk.PBRH3UPJ.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/layout/card/card.ts
var GdsCard = class extends GdsContainer {
  render() {
    return html`<slot></slot>`;
  }
};
GdsCard.styles = [tokens];
__decorateClass([
  styleExpressionProperty({
    property: "box-shadow",
    valueTemplate: (v) => `var(--gds-shadow-${v})`
  })
], GdsCard.prototype, "shadow", 2);
GdsCard = __decorateClass([
  gdsCustomElement("gds-card")
], GdsCard);

export {
  GdsCard
};
